Subject: Re: [PATCH 1/5] wil6210: Convert to Kbuild

From: Vladimir Kondratiev <[email-masked]>
Date: Wed, 9 Apr 2014 17:08:49 +0300

On Tuesday, April 08, 2014 09:14:51 AM Joe Perches wrote:
> On Tue, 2014-04-08 at 11:36 +0300, Vladimir Kondratiev wrote:
> > Convert Makefile -> Kbuild,
> > to make off-kernel development easier and less intrusive.
> 
> No drivers/net directory uses Kbuild.
> 
> Why should this?

because it makes it easier to do off-kernel development, and then
move things to the proper location within the kernel without
conflicting changes in the Makefile.
As I understand, Kbuild is better choice because it is really not
standalone "Makefile", it is intended to be included by the real
Makefile. Thus, distinct name is better.
Are there any reasons why not using Kbuild? I did not found
guidelines when use Kbuild and when not.

> 
> > Signed-off-by: Vladimir Kondratiev <[email-masked]>
> > ---
> >  drivers/net/wireless/ath/wil6210/Kbuild   | 18 ++++++++++++++++++
> >  drivers/net/wireless/ath/wil6210/Makefile | 18 ------------------
> 
> If you send renaming patches, please use
> git format-patch -M

Sure I will. Thanks for mentioning this.

Thanks, Vladimir